﻿using System.Collections.ObjectModel;

using CommunityToolkit.Maui.Core;
using CommunityToolkit.Maui.Views;

namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        DrawingView drawingView = new DrawingView();

        drawingView.Margin          = new Thickness(10);
        drawingView.BackgroundColor = Colors.Beige;
        drawingView.LineWidth       = 5;
        drawingView.LineColor       = Colors.Blue;
        drawingView.Lines           = new ObservableCollection<IDrawingLine>();

        Content = drawingView;
    }

    #endregion
}